<h1>
    CMS Plugin for Sylius by Dedi
</h1>

<p>
This plugin uses :

* BitBagCommerce/SyliusCmsPlugin : https://github.com/BitBagCommerce/SyliusCmsPlugin
* monsieurbiz/SyliusRichEditorPlugin : https://github.com/monsieurbiz/SyliusRichEditorPlugin
</p>

## Quickstart Installation

```
$ make start
$ make db-create
$ make db-update
$ make fixtures

$ make build
```

## Installation

### Installing the main plugin :

Run ``composer require [package-name]``

Change your `config/bundles.php` file to add the line for the plugin : 
   
   ```php
   <?php
   
   return [
       //..
       Dedi\SyliusCmsPlugin\DediSyliusCmsPlugin::class => ['all' => true],
];
   ```

Import routing in your `config/routes.yaml` file:
```yaml
dedi_sylius_cms_plugin_shop:
    resource: "@DediSyliusCmsPlugin/Resources/config/shop_routing.yml"
    prefix: /{_locale}
    requirements:
        _locale: ^[a-z]{2}(?:_[A-Z]{2})?$

dedi_sylius_cms_plugin_admin:
    resource: "@DediSyliusCmsPlugin/Resources/config/admin_routing.yml"
    prefix: /admin
```

### Installing `monsieurbiz/SyliusRichEditorPlugin` :

From their documentation : https://github.com/monsieurbiz/SyliusRichEditorPlugin

Change your `config/bundles.php` file to add the line for the plugin : 
   
   ```php
   <?php
   
   return [
       //..
       MonsieurBiz\SyliusRichEditorPlugin\MonsieurBizSyliusRichEditorPlugin::class => ['all' => true],   
];
   ```

Import the routes in `config/routes.yaml` : 

```yaml
monsieur_biz_rich_editor_plugin:
    resource: "@MonsieurBizSyliusRichEditorPlugin/Resources/config/routing.yaml"
```

Build the assets :

```bash
    $ bin/console assets:install
```

Then create the config file in `config/packages/monsieur_biz_sylius_rich_editor.yaml` :

```yaml
imports:
  - { resource: "@MonsieurBizSyliusRichEditorPlugin/Resources/config/config.yaml" }
```

### Installing `` BitBagCommerce/SyliusCmsPlugin``
From their documentation : https://github.com/BitBagCommerce/SyliusCmsPlugin/blob/master/doc/installation.md

Add plugin dependencies to your `config/bundles.php` file:
```php
return [
    ...

    FOS\CKEditorBundle\FOSCKEditorBundle::class => ['all' => true], // WYSIWYG editor
    SitemapPlugin\SitemapPlugin::class => ['all' => true], // Sitemap support
    BitBag\SyliusCmsPlugin\BitBagSyliusCmsPlugin::class  => ['all' => true],
];
```
The first line above (FOSCKEditorBundle) might have been already added during composer require command.

Install WYSIWYG editor ([FOS CKEditor](https://symfony.com/doc/master/bundles/FOSCKEditorBundle/usage/ckeditor.html))

```bash
$ bin/console ckeditor:install
```

Import required config in your `config/packages/_sylius.yaml` file:

```yaml
# config/packages/_sylius.yaml

imports:
    ...
    
    - { resource: "@BitBagSyliusCmsPlugin/Resources/config/config.yml" }
```

Finish the installation by updating the database schema and installing assets:
```
$ bin/console doctrine:migrations:diff
$ bin/console doctrine:migrations:migrate
$ bin/console assets:install --symlink
$ bin/console sylius:theme:assets:install --symlink
```

### Once everything is installed :
In order to render the blocks correctly, override the template located here : `@BitBagSyliusCmsPlugin/Shop/Page/show.html.twig` 

and replace :
```twig
{{ bitbag_cms_render_content(page) }}
``` 
with :
```twig
{{ page.content | mbiz_rich_editor_render }}
``` 
